<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->
<template>
  <div>
    <el-dialog
      :title="$t('user.addUsrBtn')"
      :visible.sync="dialogVisible"
      v-loading="loading"
    >
      <div style="margin-top: 15px;">
        <el-input
          placeholder="Username"
          type="text"
          v-model="currentRowData.username"
        />
      </div>
      <div style="margin-top: 15px;">
        <el-select
          id="role"
          style="width:100%"
          :placeholder="$t('user.role')"
          v-model="currentRowData.role"
          default-first-option
        >
          <el-option
            v-for="item in options"
            :key="item"
            :label="item"
            :value="item"
          />
        </el-select>
      </div>
      <div style="margin-top: 15px;">
        <el-input
          placeholder="Company"
          type="text"
          v-model="currentRowData.company"
        />
      </div>
      <div style="margin-top: 15px;">
        <el-input
          placeholder="Company Address"
          type="text"
          v-model="currentRowData.companyAddress"
        />
      </div>
      <div style="margin-top: 15px;">
        <el-input
          placeholder="Telephone"
          type="text"
          v-model="currentRowData.telephone"
        />
      </div>
      <div style="margin-top: 15px;">
        <el-input
          placeholder="Email"
          type="text"
          v-model="currentRowData.email"
        />
      </div>
      <div style="margin-top: 15px;">
        <el-select
          id="role"
          style="width:100%"
          :placeholder="$t('user.isAllowed')"
          v-model="currentRowData.isAllowed"
          default-first-option
        >
          <el-option>True</el-option>
          <el-option>False</el-option>
        </el-select>
      </div>
      <div
        slot="footer"
        class="dialog-footer"
      >
        <el-button
          id="cancelBtn"
          @click="cancel()"
        >
          {{ $t('common.cancel') }}
        </el-button>
        <el-button
          id="confirmBtn"
          type="primary"
          @click="confirm()"
          :loading="loading"
        >
          {{ $t('common.confirm') }}
        </el-button>
      </div>
    </el-dialog>
  </div>
</template>
<script>
export default {
  name: 'AddUser',
  props: {
    data: {
      type: Object,
      default: () => ({
        username: '',
        role: '',
        company: '',
        companyAddress: '',
        telephone: '',
        email: '',
        isAllowed: ''
      })
    },
    visible: {
      type: Boolean,
      default: false
    },
    cancel: {
      type: Function,
      default: () => {},
      isRequired: true
    },
    guestConfigration: {
      type: Function,
      default: () => {},
      isRequired: true
    }
  },
  data () {
    return {
      currentRowData: {},
      loading: false
    }
  },
  methods: {
    cancelDialog () {
      this.$emit('cancelAddUser')
    },
    storeConfiguration () {
      this.$emit('addUser', this.currentRowData)
    }
  }
}
</script>
<style>
</style>
